---
tags: ["update", "upgrade"]
---
# Mettre à jour dokos

La mise à jour de dokos est simple, mais peut demander des connaissances des Linux/Python/NodeJS en cas d'erreur.

## La commande principale

Allez dans votre dossier bench (`home/{utilisateur}/{votre_bench}) et lancez:

`bench update`


Cette commande effectuera les actions suivantes:

1. Mise à jour de vos applications avec la dernière version disponible sur Gitlab
2. Bascule de votre application en mode maintenance
3. Mise à jour de votre environnement python avec toute nouvelle dépendance requise
4. Lancement de tous les patches et migrations nécessaires à la mise à jour de votre base de données
5. Consolidation de tous vos fichiers javascript et CSS
6. Bascule de votre application en mode normal


## Commandes décomposées

- `bench update --pull` récupérera seulement les derniers changements pour chaque application
- `bench update --patch` lancera seulement les patches et migrations pour votre base de données
- `bench update --build` consolidera seulement vos fichiers JS et CSS nécessaires à l'interface utilisateur
- `bench update --bench` mettra à jour seulement l'application docli (Bench)
- `bench update --requirements` mettra à jour seulement les dépendances python et nodejs dans votre environnement

## Résolution des problèmes

Si un patch tombe en erreur lors d'une mise à jour, veuillez publier un message sur le [forum communautaire](https://community.dokos.io) avec une copie intégrale du message erreur. Attendez la correction, le cas échéant, et lancez de nouveau `bench update`.

Si vous avez des applications personnalisées dans votre dossier bench, veuillez vous assurer qu'elles n'interférent pas avec le processus de mise à jour standard.  

Avant de rapporter un problème potentiel, veuillez tester la mise à jour à nouveau dans un environnement sans application personnalisée.
